com.amazonaws.jmespath

## Interface JmesPathExpression

All Known Implementing Classes:
  Comparator, JmesPathAndExpression, JmesPathContainsFunction, JmesPathField, JmesPathFilter, JmesPathFlatten, JmesPathFunction, JmesPathIdentity, JmesPathLengthFunction, JmesPathLiteral, JmesPathMultiSelectList, JmesPathNotExpression, JmesPathProjection, JmesPathSubExpression, JmesPathValueProjection, NumericComparator, OpEquals, OpGreaterThan, OpGreaterThanOrEqualTo, OpLessThan, OpLessThanOrEqualTo, OpNotEquals

    public interface JmesPathExpression

Interface for accessing JmesPath expression. Different types of JmesPath expressions are supported.

### Method Summary

All Methods Instance Methods Abstract Methods
`<Input,Output> Output` `accept(JmesPathVisitor<Input,Output> visitor, Input input)` Abstract method definition to delegate to either the CodeGen visitor or Evaluation visitor based on the type of JmesPath visitor

### Method Detail

#### accept

    <Input,Output> Output accept(JmesPathVisitor<Input,Output> visitor,
                                 Input input)
                          throws InvalidTypeException

Abstract method definition to delegate to either the CodeGen visitor or Evaluation visitor based on the type of JmesPath visitor

Type Parameters:
  `Input` - Input type for the visitor CodeGen visitor: Void Evaluation visitor: JsonNode
  `Output` - Output type for the visitor CodeGen visitor: String Evaluation visitor: JsonNode
Parameters:
  `visitor` - CodeGen visitor or Evaluation visitor
  `input` - Input expression that needs to be evaluated
Returns:
  Corresponding output is returned. Evaluated String in the case of CodeGen visitor or an evaluated JsonNode in the case of Evaluation visitor
Throws:
  `InvalidTypeException`